Subject: bug#60233: 30.0.50; Dired buffer not updating sometimes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Dec 2022 10:30:21 +0200

> Cc: [email-masked]
> Date: Fri, 23 Dec 2022 08:03:16 +0300
> From: Jean Louis <[email-masked]>
> 
> * Gregory Heytings <[email-masked]> [2022-12-23 00:48]:
> > > Here is what happens sometimes:
> > > https://gnu.support/images/tmp/2022-12-21/2022-12-21-08:09:15.ogv
> > > 
> > 
> > I see this on the modeline of your video:
> > 
> > [[[[(Dired by name Launch Hypb WK)]]]]
> 
> Thanks, you notices something I did not notice. I can't know why and
> how that came in the modeline.
> 
> > Unless you customized your modeline in a strange way, these four "[[[[" and
> > "]]]]" mean that you're in recursive edit, in a recursive edit, in a
> > recursive edit, in a recursive edit (yes, four times).  Is that really what
> > you want?
> 
> I invoke recursive edits all the time, though not related to Dired buffer.

It's also possible that you get errors, which pop up the debugger and
enter recursive-edit, and you don't abort recursive-edit with C-]
after that.